html {
    width: 100%;
    height: 100%;
}

.head-top-bg-m {
    width: 100%;
    height: 100%;
    /* background-color: #f0f0f1; */
}


.searching-field-m {
    margin: 10px;
    top: 0.5rem;
    border-radius: 10px;
    width: 0vw;
    /* 0-7vw*/
    left: 2.5rem;
    opacity: 0;

    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
}

.searching-field {
    /* position: absolute; */
    top: 0.5rem;
    border-radius: 10px;
    width: 0vw;
    /* 0-7vw*/
    right: 3rem;
    opacity: 0;

    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
}

.searching-field-active {
    display: block;
    width: 14vw;
    /* 0-7vw*/
    height: auto;
    opacity: 1;
}

.searching-field-m.searching-field-active {
    display: none;
}

.nav-container input {
    display: none;
}


/* hamburger menu  */

.menu-switch {
    display: block;
    margin: 10px auto;
    left: 50%;
    position: absolute;
    width: 20px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    margin-top: 1rem;
}

.menu-switch:before,
.menu-switch:after {
    background-color: #fff;
    content: "";
    display: block;
    height: 4px;
    transition: all 200ms ease-in-out;
}

.menu-switch:before {
    box-shadow: 0 10px 0 #fff;
    margin-bottom: 16px;
}

.menu-switch-active:before {
    box-shadow: 0 0 0 #fff;
    transform: translateY(10px) rotate(45deg);
    -webkit-transform: translateY(10px) rotate(45deg);
    -moz-transform: translateY(10px) rotate(45deg);
    -o-transform: translateY(10px) rotate(45deg);
    -ms-transform: translateY(10px) rotate(45deg);
}

.menu-switch-active:after {
    transform: translateY(-10px) rotate(-45deg);
    -webkit-transform: translateY(-10px) rotate(-45deg);
    -moz-transform: translateY(-10px) rotate(-45deg);
    -o-transform: translateY(-10px) rotate(-45deg);
    -ms-transform: translateY(-10px) rotate(-45deg);
}

.arrow {
    border: solid white;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 4px;
}

.right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
}

.left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
}

.up {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
}

.down {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
}

.head {
    float: left;
    width: 100%;
    height: 10%;
    box-sizing: border-box;
}

.sidebar {
    float: left;
    box-sizing: border-box;
    height: 90%;
    width: 17.5%;
    z-index: -1;
}

.top-bar {
    width: 100%;
    height: 70%;
    background-color: #f0f0f1;
    z-index: 0;
}

.nav {
    /* width: 100px; */
    position: fixed;
    text-align: center;
    vertical-align: top;
    padding: 0;
    padding-left: 20px;
    left: 0;
    top: 17vh;
    z-index: 99;
    /* transform: translate(-50%, 0); */
    /* -webkit-transform: translate(-50%, 0%); */
    -moz-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    width: 250px;
}

.nav-btn {
    margin: auto;
    background-color: white;
    border: 1px solid #cfd1d2;
    border-radius: 45px;
    filter: drop-shadow(0 0 0.3rem #cfd1d2);
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 93px;
    height: 93px;
}

.head-top {
    position: fixed;
    width: 100%;
    height: 6%;
    z-index: 20;
    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    /* box-shadow: 2px 2px 10px grey; */
}

.arrow-btn {
    box-sizing: border-box;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    background-color: rgba(0, 0, 0, 0);
    transform: translate(0, 80vh);
    -webkit-transform: translate(0, 80vh);
    -moz-transform: translate(0, 80vh);
    -o-transform: translate(0, 80vh);
    -ms-transform: translate(0, 80vh);
}

.menu,
.menu-m {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 50;
    background-color: rgba(0, 0, 0, 0);
    visibility: hidden;
    -webkit-transition: background-color 1s ease-out;
    -moz-transition: background-color 1s ease-out;
    -o-transition: background-color 1s ease-out;
    transition: background-color 1s ease-out;
}

.menu-active {
    visibility: visible;
    background-color: rgba(0, 0, 0, 0.7);
    -webkit-transition: background-color 1s ease-out;
    -moz-transition: background-color 1s ease-out;
    -o-transition: background-color 1s ease-out;
    transition: background-color 1s ease-out;
}

.menu-table,
.menu-table-m {
    overflow: hidden;
    position: fixed;
    height: 100%;
    right: 0%;
    width: 0%;
    background-color: #f0f0f1;
    -webkit-transition: width 1s;
    -moz-transition: width 1s;
    -o-transition: width 1s;
    transition: width 1s;
}

.menu-table ul {
    padding: 0;
}

.menu-container div {
    width: 17.5vw;
    height: 12vh;
}

.menu-container .icon-img {
    width: 27px;
}

.head-top {
    background-color: #FFF;
    /* position: fixed; */
    height: 60px;
    width: calc(100% - 30px);
    height: 6%;
    z-index: 20;
    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    top: 0;
    /* background-color: rgb(240, 240, 241); */
    height: 110px;
}

.head-top:before {
    content: '';
    background-color: rgb(240, 240, 241);
    width: 100%;
    height: 50px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    box-shadow: 2px 2px 10px grey;
}

.menu-container-m div {
    width: 50vw;
    height: 9vh;
}

.menu-container div button,
.menu-container-m div button {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0);
    border: 0px;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.menu,
.menu-m {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 50;
    background-color: rgba(0, 0, 0, 0);
    visibility: hidden;
    -webkit-transition: background-color 1s ease-out;
    -moz-transition: background-color 1s ease-out;
    -o-transition: background-color 1s ease-out;
    transition: background-color 1s ease-out;
    top: 0;
}

.menu-active {
    visibility: visible;
    background-color: rgba(0, 0, 0, 0.7);
    -webkit-transition: background-color 1s ease-out;
    -moz-transition: background-color 1s ease-out;
    -o-transition: background-color 1s ease-out;
    transition: background-color 1s ease-out;
}

.menu-table,
.menu-table-m {
    overflow: hidden;
    position: fixed;
    height: 100%;
    right: 0%;
    width: 0%;
    background-color: #f0f0f1;
    -webkit-transition: width 1s;
    -moz-transition: width 1s;
    -o-transition: width 1s;
    transition: width 1s;
}

.menu-table ul {
    padding: 0;
}

.menu-container div {
    width: 17.5vw;
    height: 12vh;
}

.menu-container-m div {
    width: 50vw;
    height: 9vh;
}

.menu-container div button,
.menu-container-m div button {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0);
    border: 0px;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.nav-content {
    padding-top: 30px;
    display: none;
    flex-direction: column;
    background: white;
    padding: 30px 15px;
}

.nav-content a {
    text-decoration: none;
    cursor: pointer;
    display: block;
}

.nav-content a:not(:last-child) {
    margin-bottom: 35px;
}

#menu-vr-showroom:hover {
    background-color: #d7d3bf;
}

#menu-designs:hover {
    background-color: #bae0e9;
}

#menu-works:hover {
    background-color: #e8d9d0;
}

#menu-awards:hover {
    background-color: #c3baa6;
}

#menu-gts:hover {
    background-color: #cfd1d2;
}

#menu-news:hover {
    background-color: #ddd1d4;
}

#menu,
#menu-m {
    display: none;
    position: absolute;
}

#menubar {
    position: fixed;
    width: 30px;
    height: 100%;
    z-index: 20;
    right: 0%;
    text-align: center;
    background-color: #cfd1d2;
    -webkit-transition: background-color 0.5s ease-out;
    -moz-transition: background-color 0.5s ease-out;
    -o-transition: background-color 0.5s ease-out;
    transition: background-color 0.5s ease-out;

    -webkit-transition: right 1s;
    -moz-transition: right 1s;
    -o-transition: right 1s;
    transition: right 1s;
}


#img-newsletter {
    width: 100%;
    height: auto;
    min-width: 20px;
    max-width: 32px;
    vertical-align: middle;
}

#img-arrow-up {
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
}

#languageBtn {
    left: 2vw;
    min-width: 8rem;
    width: 100px;
    height: 32px;
    background-color: white;
    border: 1px solid gray;
    border-radius: 5px;
    position: absolute;
    top: 0;
    /* transform: translate(0, -86%); */
    margin-top: 0.7rem;
    z-index: 10;
}

.logo {
    width: 6rem;
    height: 6rem;
    position: absolute;
    background-image: url("../../image/Artpanel logo-01.png");
/*    background-image: url("../../image/Asset 5-old.png");*/
    background-size: contain;
    background-position-x: center;
    background-repeat: no-repeat;
    /*
    left: 50%;
    transform: translate(-50%, 10%);
    -webkit-transform: translate(-50%, 10%);
    -moz-transform: translate(-50%, 10%);
    -o-transform: translate(-50%, 10%);
    -ms-transform: translate(-50%, 10%);
    transition: width 1s, height 1s;
    -webkit-transition: width 1s, height 1s;
    -moz-transition: width 1s, height 1s;
    -o-transition: width 1s, height 1s;
    -ms-transition: width 1s, height 1s;
*/
    z-index: 10;
    left: 0;
    right: 0;
    margin: 0 auto;
}

/*.logo-m {*/
/*    width: 6rem;*/
/*    height: 6rem;*/
/*    position: fixed;*/
/*    background-image: url("../../image/Asset 5-old.png");*/
/*    background-size: contain;*/
/*    background-position-x: center;*/
/*    background-repeat: no-repeat;*/
/*    left: 50%;*/
/*    transform: translate(-50%, 10%);*/
/*    -webkit-transform: translate(-50%, 10%);*/
/*    -moz-transform: translate(-50%, 10%);*/
/*    -o-transform: translate(-50%, 10%);*/
/*    -ms-transform: translate(-50%, 10%);*/
/*    transition: width 1s, height 1s;*/
/*    -webkit-transition: width 1s, height 1s;*/
/*    -moz-transition: width 1s, height 1s;*/
/*    -o-transition: width 1s, height 1s;*/
/*    -ms-transition: width 1s, height 1s;*/
/*}*/

.logo-scale-sm {
    width: 64px;
    height: 64px;
    transition: width 1s, height 1s;
    -webkit-transition: width 1s, height 1s;
    -moz-transition: width 1s, height 1s;
    -o-transition: width 1s, height 1s;
    -ms-transition: width 1s, height 1s;
}

#searchBtn-container {
    /* width: 2rem;
    height: 2rem; */
    position: absolute;
    top: 0;
    right: 3rem;
    /* transform: translate(0, -91%); */
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    margin-top: 0.7rem;
    z-index: 20;
}


.image360_color {
    display: inline-block;
}

#patterns-select .pattern_div {
    overflow-x: auto;
    width: 100%;
    white-space: nowrap;
}

#patterns-select b {
    width: 115px;
}


#searchBtn {
    width: 2rem;
    height: 2rem;
    background-image: url("../../image/Asset 4.png");
    border: rgba(0, 0, 0, 0);
    background-color: rgba(0, 0, 0, 0);
    background-size: contain;
    background-position-x: right;
    background-repeat: no-repeat;
}

#search-icon {
    width: 2rem;
    height: 2rem;
    background-image: url("../../image/Asset 4.png");
    background-size: contain;
    background-position-x: right;
    background-repeat: no-repeat;
    top: 1rem;
    right: 3rem;
}

.icon-set {
    margin-top: 5vh;
}

.icon-set table {
    margin: auto;
    width: 60%;
    text-align: center;
}

.icon-set table tr > td {
    margin: auto;
    padding-bottom: 1rem;
}

.icon-set-grid {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(6, 7vw);
    grid-gap: 0.5vw;
    text-align: center;
    cursor: pointer;
    justify-content: space-evenly;
}

.icon-set table tr td a {
    text-decoration: none;
}

.menu-bar-m {
    top: 1%;
    right: 1%;
}

#searching-field {
    outline: none;
    padding: 5px;
    margin-right: 10px;
    border: 1px solid #f0f0f1;
}

@media only screen and (max-width: 993px) {
    .head-top {
        height: 70px;
        width: 100%;
    }

    #logo {
        width: 64px;
        height: 64px;
    }

    #menubar {
        background-color: transparent;
        display: none;
    }

    #searchBtn-container {
        margin-top: 0;
        right: 20px;
        top: 10px;
        height: 30px;
    }

    #searchBtn {
        width: 20px;
        height: 20px;
    }
}

@media only screen and (max-width: 500px) {
    .nav {
        left: 0;
        padding-left: 0;
        width: 200px;
        top: 70px;
    }

    .nav-btn {
        width: 80px;
        height: 80px;
        margin-left: 20px;
    }

    #languageBtn {
        width: 80px;
        min-width: initial;
    }
}
